import { jsx } from "react/jsx-runtime";
import { TokenDTX as TokenDTX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDTX = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "DTX", "data-name": "TokenDTX", ...props, children: /* @__PURE__ */ jsx(TokenDTX$1, { variant }) });
  }
);
TokenDTX.displayName = "TokenDTX";
Object.assign(TokenDTX, { isGdsIcon: true });
export {
  TokenDTX
};
